<div class="container-xl">
  <h1>Tabella attori</h1>
  <div class="col-xs-12">
  
  <button class="btn btn-primary" (click)="visualizza()">RICHIESTA</button>  
<table class="table">
      <thead>
        <tr>
          <th *ngFor="let key of keys" style="cursor: pointer;">
              {{key}} 
          </th> 
          <th>Operazioni</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of result"> 
            <td *ngFor="let attribute of keys">{{item[attribute]}}</td>
            <td><button (click)="performDelete(item['codAttore'])" class="btn btn-danger">Elimina</button></td> 
            <td><button (click)="performUpdate(item['codAttore'])" class="btn btn-primary">Modifica</button></td> 
        </tr>
         
      </tbody>
    </table>
    
  </div>
</div>

